Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

EPUB to AZW3

Convert EPUB ebooks to Kindle AZW3 ebooks.

Try EPUB to AZW3 in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typeebook.epub-to-azw3
targetFormatazw3
Categoryebooks
Input formats.epub
Output extension.azw3
Costing1 credit per 5 MB
Max file size1 GB

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@book.epub" \
  -F "targetFormat=azw3" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "book.azw3"
# → Binary file (application/vnd.amazon.ebook, 2.5 MB)

Options

This converter does not support additional options.

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/epub/azw3?fileSizeMb=50"
Copied.